Bug 494197 - Review Request: drascula-music - Background music for Drascula: The Vampire Strikes Back
Review Request: drascula-music - Background music for Drascula: The Vampire S...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Felix Kaechele
Fedora Extras Quality Assurance
:
Depends On: 494195
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-05 10:32 EDT by Hans de Goede
Modified: 2009-05-18 05:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 05:28:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
felix: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2009-04-05 10:32:52 EDT
Spec URL: http://people.atrpms.net/~hdegoede/drascula-music.spec
SRPM URL: http://people.atrpms.net/~hdegoede/drascula-music-1.0-1.fc11.src.rpm
Description:
Background music for Drascula: The Vampire Strikes Back.

The review for the main drascula package is bug 494195
Comment 1 Michael Schwendt 2009-04-05 14:09:57 EDT
$ cat cvs/pkgs/drascula/devel/sources 
fe2ee0948159c3acb923c89a1af7cc84  drascula-1.0.zip
cde1c1509cd8af5b1dcbdcf6289b3a99  drascula-audio-1.0.zip
Comment 2 Hans de Goede 2009-04-06 03:49:55 EDT
(In reply to comment #1)
> $ cat cvs/pkgs/drascula/devel/sources 
> fe2ee0948159c3acb923c89a1af7cc84  drascula-1.0.zip
> cde1c1509cd8af5b1dcbdcf6289b3a99  drascula-audio-1.0.zip  

Oh, thanks for letting me know. I'm currently discussing with the drascula
maintainer on whether to split drascula (seems the right thing to
me two seperate upstream tarbals should be 2 separate packages). Or close
this as a dup.
Comment 3 Lucian Langa 2009-04-24 14:41:09 EDT
drascula-audio has been removed from main drascula package.
Comment 4 Hans de Goede 2009-05-15 11:38:46 EDT
(In reply to comment #3)
> drascula-audio has been removed from main drascula package.  

Thanks, Felix can you continue / restart the review then please ?
Comment 5 Felix Kaechele 2009-05-16 13:27:05 EDT
The following items have been checked and are ok:

1. rpmlint is silent
2. package name complies to guidelines
3. package meets packaging guidelines
4. sha1sums match:
    [felix@polaris SOURCES]$ sha1sum drascula-audio-1.0.zip*
    6618ebe2f08f94836262bc68de6022f9d8f9b081  drascula-audio-1.0.zip
    6618ebe2f08f94836262bc68de6022f9d8f9b081  drascula-audio-1.0.zip.orig
5. the spec file is really simple and legible even by my 80-year old grandma
6. the package builds great because it's noarch :-)
7. Requires and BuildReqs are sane
8. file ownership is ok
9. macro usage is reasonable
10. package contains content
11. doesn't own stuff it shouldn't own

The following items need to be addressed:
1. Is this really GPLv2+? the readme doesn't state so. Maybe the same mistake as in the drascula-international package?
Comment 6 Hans de Goede 2009-05-17 05:51:14 EDT
(In reply to comment #5)
> 
> The following items need to be addressed:
> 1. Is this really GPLv2+? the readme doesn't state so. Maybe the same mistake
> as in the drascula-international package?  

Ack, same mistake as drascula-international package, should have checked that
while I was at it, sorry.

Here is a new version with this fixed:
Spec URL: http://people.atrpms.net/~hdegoede/drascula-music.spec
SRPM URL: http://people.atrpms.net/~hdegoede/drascula-music-1.0-2.fc11.src.rpm
Comment 7 Felix Kaechele 2009-05-17 06:16:17 EDT
Great!

This package is APPROVED then as well.
Comment 8 Hans de Goede 2009-05-17 07:50:27 EDT
New Package CVS Request
=======================
Package Name:      drascula-music
Short Description: Background music for Drascula: The Vampire Strikes Back
Owners:            jwrdegoede
Branches:          F-11
InitialCC:
Comment 9 Kevin Fenzi 2009-05-18 00:17:10 EDT
cvs done.
Comment 10 Hans de Goede 2009-05-18 05:28:28 EDT
(In reply to comment #9)
> cvs done.  

Thanks! Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.